org.apache.xmpbox.xml

## Class XmpParsingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xmpbox.xml.XmpParsingException

All Implemented Interfaces:
  Serializable

    public class XmpParsingException
    extends Exception

Exception thrown when Parsing failed

Author:
  a183132
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `XmpParsingException.ErrorType`

### Constructor Summary

Constructors
Constructor and Description
`XmpParsingException(XmpParsingException.ErrorType error, String message)` Create an instance of XmpParsingException
`XmpParsingException(XmpParsingException.ErrorType error, String message, Throwable cause)` Create an instance of XmpParsingException

### Method Summary

All Methods Instance Methods Concrete Methods
`XmpParsingException.ErrorType` `getErrorType()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmpParsingException

    public XmpParsingException(XmpParsingException.ErrorType error,
                               String message,
                               Throwable cause)

Create an instance of XmpParsingException

Parameters:
  `message` - a description of the encountered problem
  `cause` - the cause of the exception

#### XmpParsingException

    public XmpParsingException(XmpParsingException.ErrorType error,
                               String message)

Create an instance of XmpParsingException

Parameters:
  `message` - a description of the encountered problem

### Method Detail

#### getErrorType

    public XmpParsingException.ErrorType getErrorType()